Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Types | Static Public Member Functions | List of all members
faiss::CMax< T_, TI_ > Struct Template Reference

`#include <Heap.h>`

## Public Types
typedef T_ | T
typedef TI_ | TI
typedef CMin< T_, TI_ > | Crev

## Static Public Member Functions
static bool | cmp (T a, T b)
static T | neutral ()

## Detailed Description

### template<typename T_, typename TI_>
struct faiss::CMax< T_, TI_ >

The C object gives the type T of the values in the heap, the type of the keys, TI and the comparison that is done: > for the minheap and < for the maxheap. The neutral value will always be dropped in favor of any other value in the heap.

Definition at line 48 of file Heap.h.

The documentation for this struct was generated from the following file:

- /tmp/faiss/Heap.h